Vaadin 14 with Java 17

Will Vaadin 14(java only) app work with java 17 and spring-boot 3.2?

Nope, you need Vaadin 24 to run with Spring Boot >= 3.0

ok thanks